summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2020-06-22 12:10:08 -0400
committerLuke Smith <luke@lukesmith.xyz>2020-06-22 12:10:08 -0400
commit927a7c39c24272eeb6c7ca9e75a359314ad20025 (patch)
treeadd931bdd206467ae7ac8cce2ba25af738d13fe4 /.local/bin
parent615e8aef3abdd0d31d7027c6304f6a085bbcb2d1 (diff)
parent5884a5e0155b1f8dfd21453635fa17630eb24aca (diff)
downloadeibhear-927a7c39c24272eeb6c7ca9e75a359314ad20025.tar.gz
eibhear-927a7c39c24272eeb6c7ca9e75a359314ad20025.tar.zst
eibhear-927a7c39c24272eeb6c7ca9e75a359314ad20025.zip
Merge branch 'master' of github.com:LukeSmithxyz/voidrice
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/dmenumountcifs19
1 files changed, 19 insertions, 0 deletions
diff --git a/.local/bin/dmenumountcifs b/.local/bin/dmenumountcifs
new file mode 100755
index 0000000..3be6e86
--- /dev/null
+++ b/.local/bin/dmenumountcifs
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Gives a dmenu prompt to mount unmounted local NAS shares.
+# Requirements - "%wheel ALL=(ALL) NOPASSWD: ALL"
+#
+# Browse for mDNS/DNS-SD services using the Avahi daemon...
+srvname=$(avahi-browse _smb._tcp -t | awk '{print $4}' | dmenu -i -p "Which NAS?") || exit 1
+notify-send "Searching for network shares..." "Please wait..."
+# Choose share disk...
+share=$(smbclient -L "$srvname" -N | grep Disk | awk '{print $1}' | dmenu -i -p "Mount which share?") || exit 1
+# Format URL...
+share2mnt=//"$srvname".local/"$share"
+
+sharemount() {
+ mounted=$(mount -v | grep "$share2mnt") || ([ ! -d /mnt/"$share" ] && mkdir /mnt/"$share")
+ [ -z "$mounted" ] && sudo mount -t cifs "$share2mnt" -o user=nobody,password="" /mnt/"$share" && notify-send "Netshare $share mounted" && exit 0
+ notify-send "Netshare $share already mounted"; exit 1
+}
+
+sharemount